Bug 890803 - Review Request: perl-Math-ConvexHull-MonotoneChain - Monotone chain algorithm for finding a convex hull in 2D
Review Request: perl-Math-ConvexHull-MonotoneChain - Monotone chain algorithm...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 890839
  Show dependency treegraph
 
Reported: 2012-12-30 04:25 EST by Miro Hrončok
Modified: 2013-01-12 10:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 19:06:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2012-12-30 04:25:20 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/perl-Math-ConvexHull-MonotoneChain.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Math-ConvexHull-MonotoneChain-0.01-3.fc17.src.rpm

Description:
This is somewhat experimental still.

This (XS) module optionally exports a single function C<convex_hull>
which calculates the convex hull of the input points and returns it.
The algorithm is C<O(n log n)> due to having to sort the input list,
but should be somewhat faster than a plain Graham's scan (also C<O(n log n)>)
in practice since it avoids polar coordinates.

Fedora Account System Username: churchyard
Comment 1 Michael Scherer 2012-12-30 10:08:21 EST
same remark as the 2 previous review, you should contact upstream for licene ( and just tell him his software is in Fedora, maybe that will make him happy )

And since that's not a blocking point, the package is approved.

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/misc/checkout/git/FedoraReview/890803-perl-Math-
     ConvexHull-MonotoneChain/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-Math-ConvexHull-MonotoneChain-0.01-3.fc18.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Math-ConvexHull-MonotoneChain
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Math-ConvexHull-MonotoneChain (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    perl
    perl(:MODULE_COMPAT_5.16.2)
    perl(Exporter)
    perl(XSLoader)
    perl(strict)
    perl(warnings)
    rtld(GNU_HASH)



Provides
--------
perl-Math-ConvexHull-MonotoneChain:
    perl(Math::ConvexHull::MonotoneChain)
    perl-Math-ConvexHull-MonotoneChain
    perl-Math-ConvexHull-MonotoneChain(x86-64)



Unversioned so-files
--------------------
perl-Math-ConvexHull-MonotoneChain: /usr/lib64/perl5/vendor_perl/auto/Math/ConvexHull/MonotoneChain/MonotoneChain.so

MD5-sum check
-------------
http://www.cpan.org/authors/id/S/SM/SMUELLER/Math-ConvexHull-MonotoneChain-0.01.tar.gz :
  CHECKSUM(SHA256) this package     : 288bc45908263245548f91482ab1248868dd9dee447f9ca26cad79613e3b94f5
  CHECKSUM(SHA256) upstream package : 288bc45908263245548f91482ab1248868dd9dee447f9ca26cad79613e3b94f5


Generated by fedora-review 0.2.0 (Unknown) last change: Unknown
Buildroot used: fedora-18-x86_64
Command line :./try-fedora-review -m fedora-18-x86_64 -b 890803
Comment 2 Miro Hrončok 2012-12-30 10:11:17 EST
New Package SCM Request
=======================
Package Name: perl-Math-ConvexHull-MonotoneChain
Short Description: Monotone chain algorithm for finding a convex hull in 2D
Owners: churchyard
Branches: f17 f18
Comment 3 Kevin Fenzi 2012-12-30 16:02:38 EST
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-12-30 17:19:15 EST
perl-Math-ConvexHull-MonotoneChain-0.01-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Math-ConvexHull-MonotoneChain-0.01-3.fc17
Comment 5 Fedora Update System 2012-12-30 17:20:13 EST
perl-Math-ConvexHull-MonotoneChain-0.01-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Math-ConvexHull-MonotoneChain-0.01-3.fc18
Comment 6 Fedora Update System 2012-12-31 19:14:08 EST
perl-Math-ConvexHull-MonotoneChain-0.01-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 7 Petr Šabata 2013-01-02 04:44:57 EST
Package Change Request
======================
Package Name: perl-Math-ConvexHull-MonotoneChain
Branches: f17 f18
Owners:
InitialCC: perl-sig

Please add perl-sig user with watch* permissions only to all Fedora branches.
Comment 8 Jon Ciesla 2013-01-02 09:42:27 EST
Complete.
Comment 9 Fedora Update System 2013-01-11 19:06:16 EST
perl-Math-ConvexHull-MonotoneChain-0.01-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2013-01-12 10:06:19 EST
perl-Math-ConvexHull-MonotoneChain-0.01-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.